Unsupported SSL version/protocol error on Chrome and Firefox when accessing ProxySG Management Console

book

Article ID: 168463

calendar_today

Updated On:

Products

ProxySG Software - SGOS

Issue/Introduction

Access to the ProxySG Management Console fails with an unsupported SSL version/protocol error on Chrome and Firefox.

The error in Chrome:
    A secured connection cannot be established because this site uses an unsupported protocol.
    Error code: ERR_SSL_VERSION_OR_CIPHER_MISMATCH

The error in Firefox:
    Firefox cannot guarantee the safety of your data on <proxy hostname or IP> because it uses SSLv3, a broken security protocol.
    Advanced info: ssl_error_unsupported_version


 

Cause

This issue occurs when the ProxySG appliance's HTTPS-Console service is set to use only SSLv2 or v3. Chrome and Firefox have stopped supporting SSLv3 due to the recent SSLv3 vulnerability issues.

 

Resolution

Select TLS protocols instead of SSL for HTTPS-Console service settings:

  1. In the Management Console, select Configuration > Services > Management Services.
  2. Select HTTPS-Console and click Edit.
  3. Select TLS protocols and clear SSL.
  4. Select OK > Apply.